com.taosdata.jdbc.ws.stmt2.entity

## Class StmtInfo

- java.lang.Object
- - com.taosdata.jdbc.ws.stmt2.entity.StmtInfo

    public class StmtInfo
    extends Object

### Field Summary

Fields
`protected ArrayList<Byte>` `colTypeList`
`protected boolean` `isInsert`
`protected ArrayList<Byte>` `tagTypeList`

### Constructor Summary

Constructors
Constructor and Description
`StmtInfo(Stmt2PrepareResp prepareResp, String sql)`
`StmtInfo(String sql)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ArrayList<Byte>` `getColTypeList()`
`List<Field>` `getFields()`
`int` `getPrecision()`
`String` `getSql()`
`long` `getStmtId()`
`ArrayList<Byte>` `getTagTypeList()`
`int` `getToBeBindColCount()`
`int` `getToBeBindTableNameIndex()`
`int` `getToBeBindTagCount()`
`boolean` `isInsert()`
`void` `setColTypeList(ArrayList<Byte> colTypeList)`
`void` `setFields(List<Field> fields)`
`void` `setPrecision(int precision)`
`void` `setStmtId(long stmtId)`
`void` `setToBeBindColCount(int toBeBindColCount)`
`void` `setToBeBindTableNameIndex(int toBeBindTableNameIndex)`
`void` `setToBeBindTagCount(int toBeBindTagCount)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tagTypeList

    protected ArrayList<Byte> tagTypeList

#### colTypeList

    protected ArrayList<Byte> colTypeList

#### isInsert

    protected boolean isInsert

### Constructor Detail

#### StmtInfo

    public StmtInfo(String sql)

#### StmtInfo

    public StmtInfo(Stmt2PrepareResp prepareResp,
                    String sql)

### Method Detail

#### getStmtId

    public long getStmtId()

#### setStmtId

    public void setStmtId(long stmtId)

#### getToBeBindTableNameIndex

    public int getToBeBindTableNameIndex()

#### setToBeBindTableNameIndex

    public void setToBeBindTableNameIndex(int toBeBindTableNameIndex)

#### getToBeBindTagCount

    public int getToBeBindTagCount()

#### setToBeBindTagCount

    public void setToBeBindTagCount(int toBeBindTagCount)

#### getToBeBindColCount

    public int getToBeBindColCount()

#### setToBeBindColCount

    public void setToBeBindColCount(int toBeBindColCount)

#### getPrecision

    public int getPrecision()

#### setPrecision

    public void setPrecision(int precision)

#### getFields

    public List<Field> getFields()

#### setFields

    public void setFields(List<Field> fields)

#### getSql

    public String getSql()

#### getTagTypeList

    public ArrayList<Byte> getTagTypeList()

#### getColTypeList

    public ArrayList<Byte> getColTypeList()

#### setColTypeList

    public void setColTypeList(ArrayList<Byte> colTypeList)

#### isInsert

    public boolean isInsert()